Bug 435331 - Messed up printout
Summary: Messed up printout
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-28 19:00 UTC by Horst H. von Brand
Modified: 2018-04-11 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 22:58:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A HTML file showing the problem (27.80 KB, text/html)
2008-02-28 19:00 UTC, Horst H. von Brand
no flags Details
print out file (6.64 MB, application/postscript)
2008-04-01 05:27 UTC, Qing LIN
no flags Details
Printout of the above URL (3.00 MB, application/pdf)
2008-04-02 23:03 UTC, Matěj Cepl
no flags Details
This is how it should look like (251.48 KB, image/png)
2008-04-02 23:04 UTC, Matěj Cepl
no flags Details

Description Horst H. von Brand 2008-02-28 19:00:49 UTC
Description of problem:
When printing out the attached HTML file, the printout is messed up.

Version-Release number of selected component (if applicable):
firefox-3.0-0.beta3.29.nightly20080227.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Load the attached file, print out (to PDF does it)
2.
3.
  
Actual results:
Mess, with headers overprinting table entries

Expected results:


Additional info:
The file attached contains sensitive data, I have no other example at hand.

Comment 1 Horst H. von Brand 2008-02-28 19:00:49 UTC
Created attachment 296244 [details]
A HTML file showing the problem

Comment 2 Qing LIN 2008-04-01 05:27:13 UTC
Created attachment 299834 [details]
print out file

Comment 3 Qing LIN 2008-04-01 05:31:34 UTC
Some characters are in strange fonts
compare to original content, url: http://cn.yahoo.com

Mozilla Firefox 3.0b5pre

Comment 4 Matěj Cepl 2008-04-02 23:03:07 UTC
Created attachment 300146 [details]
Printout of the above URL

Comment 5 Matěj Cepl 2008-04-02 23:04:06 UTC
Created attachment 300147 [details]
This is how it should look like

Comment 6 Christopher Aillon 2008-04-18 22:58:52 UTC
This should be fixed with >= 0.54.beta5.fc9 and cairo >= 1.6.4


Note You need to log in before you can comment on or make changes to this bug.